[Overview][Types][Classes][Variables][Index] | Reference for unit 'Printers' (#lcl)

# TPrinter.PageNumber

Current page number in the document being printed to the device.

## Declaration

Source position: printers.pas line 336

`public property TPrinter.PageNumber : Integer read fPageNumber;`

## Description

PageNumber is a read-only Integer property which contains the current page number in the document being printed to the device. The value in the property is maintained in methods which process the document or its pages, like: BeginDoc, EndDoc, NewPage and BeginPage.

## See also

TPrinter.BeginDoc |  | Starts printing for the current document.
TPrinter.EndDoc |  | Ends printing for the current document.
TPrinter.NewPage |  | Creates a new page for the current document.
TPrinter.BeginPage |  | Begins a page on the print device.
TPrinterCanvas.PageNumber |  | The number for the current page in the printer canvas.